%define name cdparanoia-plugin
%define version 0.1
%define release 5mdk

Summary: Digital CD playback plugin for XMMS
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
URL: http://www02.u-page.so-net.ne.jp/ca2/kzmi/xmms/
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: libxmms-devel
BuildRequires: libcdda-devel
Requires: xmms

%description
This plugin reads CDDA sectors and passes them to XMMS directly. That
way you don't need a cable from the CD-ROM to the sound card and you
can use the usual effect and visualization plugins.

%prep
%setup -q

%build
export LDFLAGS=-lm
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/Input/libcdparanoia.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%_libdir/xmms/Input/libcdparanoia.so

%changelog
* Fri Jul  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.1-5mdk
- fix buildrequires
- drop prefix
- rebuild

* Wed Jun  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-4mdk
- fix buildrequires
- fix build

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1-3mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- clean unpackaged file

* Mon Oct 14 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package
